Subject: Re: mv deletes file
From: [email-masked] (Doug Kushner)

18 Aug 1998 22:51:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Earnie:

I'm running on NT4 w/SP3.  I haven't tried coolview yet, but I really
don't want case sensitivity.  In fact, I'm looking at the diff source code
right now, trying to make the -r option compare filenames with case
insensitivity.

Regards,
Doug
 
> > Which win32 are you using NT3.51/NT4/95/98?  I just tested on NT3.51
> and mv just moves FILE to file and file to FILE without any problems!!
>  Do you have Sergey's latest coolview?
> 
> ---Doug Kushner <[email-masked]> wrote:
> >
> > I'm using bash 2.01 with cyg 19.1.   I know that filenames are
> > supposed to be case insensitive, but some tools such as diff do 
> > not ignore filename case.
> > 
> > So, I was trying to rename some uppercase files to lowercase (which
> > can be done in a DOS box) and discovered the following problem.  When
> > trying to use mv on the same filename, but different case, it just
> > deletes the original file.  I would prefer it rename the file, but at
> > the very least it should just generate the error message and leave the
> > original file intact.
> > 
> > Example:
> > 
> >   $mv FILE file
> >   mv: cannot move `FILE' to `file': No such file or directory.
> > 
> > `FILE' has been deleted and 'file' does not exist.
> > 
> > Regards,
> > Doug
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> > 
> 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".